SharkProcessAndXorBlock< sbox, cbox > Struct Template Reference

## Public Member Functions

| SharkProcessAndXorBlock (const word64 *roundKeys, unsigned int rounds, const byte *inBlock, const byte *xorBlock, byte *outBlock)

## Detailed Description

### template<const byte * sbox, const ArrayOf256Word64s * cbox>
struct SharkProcessAndXorBlock< sbox, cbox >

Definition at line 96 of file shark.cpp.

The documentation for this struct was generated from the following file:

- shark.cpp